Bug 215883 - [Linux] Web Inspector: show per thread cpu usage
Summary: [Linux] Web Inspector: show per thread cpu usage
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks:
 
Reported: 2020-08-27 02:21 PDT by Carlos Garcia Campos
Modified: 2020-09-01 01:55 PDT (History)
14 users (show)

See Also:


Attachments
Patch (15.36 KB, patch)
2020-08-27 02:27 PDT, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff
Try to fix mac debug builds (15.38 KB, patch)
2020-08-31 02:20 PDT, Carlos Garcia Campos
aperez: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2020-08-27 02:21:02 PDT
We only provide global cpu usage to the inspector, we don't exclude debugging threads (the resource usage and sampling profiler threads) and we don't classify the threads (Main, WebKit, others).
Comment 1 Carlos Garcia Campos 2020-08-27 02:27:52 PDT
Created attachment 407386 [details]
Patch
Comment 2 Carlos Garcia Campos 2020-08-27 03:37:29 PDT
This is failing in mac debug with the following error I don't understand:

ERROR: WebCore has a weak external symbol in it (/Volumes/Data/worker/macOS-Mojave-Debug-Build-EWS/build/WebKitBuild/Debug/WebCore.framework/Versions/A/WebCore)
ERROR: A weak external symbol is generated when a symbol is defined in multiple compilation units and is also marked as being exported from the library.
ERROR: A common cause of weak external symbols is when an inline function is listed in the linker export file.
ERROR: symbol __ZN3JSC16SamplingProfiler6threadEv
Comment 3 Carlos Garcia Campos 2020-08-31 02:20:24 PDT
Created attachment 407594 [details]
Try to fix mac debug builds
Comment 4 Adrian Perez 2020-08-31 13:33:35 PDT
Shouldn't this be tagged [GTK][WPE]? Or maybe even [Linux]… the code
touched by this patch is not specific to the GTK port 🤔️
Comment 5 Carlos Garcia Campos 2020-09-01 01:55:13 PDT
Committed r266388: <https://trac.webkit.org/changeset/266388>